/*
** Copyright (C) 2004 Level Control Systems <jaf@lcsaudio.com>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
*/

#include <qapplication.h>
#include "audiomove/AudioMoveWindow.h"
#include "system/SetupSystem.h"
#include "util/MiscUtilityFunctions.h"
#include "util/String.h"

using namespace audiomove;

int main(int argc, char ** argv)
{
   CompleteSetupSystem system;
   QApplication app(argc, argv);

   String sTitle = String(argv[0]);
#ifdef __APPLE__
   sTitle = sTitle.Substring(0, ".app/");  // we want the user-visible name, not the internal name!
#endif
#ifdef __WIN32__
   sTitle = sTitle.Substring("\\").Substring(0, ".exe");
#else
   sTitle = sTitle.Substring("/");
#endif

   // Any arguments without equals signs are assumed to be file names!
   Message args;
   for (int i=1; i<argc; i++)
   {
      if (strchr(argv[i], '=') == NULL)
      {
         args.AddString("file", argv[i]);
         argv[i] = NULL;
      }
   }

   (void) ParseArgs(argc, argv, args);
   int ret;
   {
      AudioMoveWindow win(args);
      win.setCaption(ToQ((sTitle + ToQ(" v") + VERSION_STRING)()));
      app.setMainWidget(&win);
      win.show();
      ret = app.exec();
   }

   return ret;
}
